VelocityServletTest.MockServletContext (Velocity 1.4 API)
Keywords: org.apache.velocity.test.VelocityServletTest.MockServletContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class VelocityServletTest.MockServletContext

    java.lang.Object
      org.apache.velocity.test.VelocityServletTest.MockServletContext

All Implemented Interfaces:
  javax.servlet.ServletContext

Enclosing class:
  VelocityServletTest

static class VelocityServletTest.MockServletContext
extends java.lang.Object
implements javax.servlet.ServletContext

Constructor Summary
`(package private)` | `VelocityServletTest.MockServletContext()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String ignored)`
`java.util.Enumeration` | `getAttributeNames()`
`javax.servlet.ServletContext` | `getContext(java.lang.String ignored)`
`java.lang.String` | `getInitParameter(java.lang.String ignored)`
`java.util.Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`java.lang.String` | `getMimeType(java.lang.String ignored)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(java.lang.String ignored)`
`java.lang.String` | `getRealPath(java.lang.String ignored)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String ignored)`
`java.net.URL` | `getResource(java.lang.String ignored)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String ignored)`
`java.lang.String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(java.lang.String ignored)`
`java.util.Enumeration` | `getServletNames()`
`java.util.Enumeration` | `getServlets()`
`void` | `log(java.lang.Exception e, java.lang.String msg)`
`void` | `log(java.lang.String msg)`
`void` | `log(java.lang.String msg, java.lang.Throwable t)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityServletTest.MockServletContext

    VelocityServletTest.MockServletContext()

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String ignored)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### getContext

    public javax.servlet.ServletContext getContext(java.lang.String ignored)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String ignored)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public java.lang.String getMimeType(java.lang.String ignored)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(java.lang.String ignored)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`

### getRealPath

    public java.lang.String getRealPath(java.lang.String ignored)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String ignored)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`

### getResource

    public java.net.URL getResource(java.lang.String ignored)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`
  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String ignored)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getServerInfo

    public java.lang.String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(java.lang.String ignored)
                                     throws javax.servlet.ServletException

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getServletNames

    public java.util.Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`

### getServlets

    public java.util.Enumeration getServlets()

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.Exception e,
                    java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable t)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.